Hi!,
I have a linux 9.0 box and am trying to install a trivial module. When after compiling ("gcc -c helo.c") and try to instal this module using:

insmod hello.o

I get the follwing error message:

"hello.o was comipled for kernel version 2.4.20
while the kernel is kernel version is 2.4.20-20.9"

Can some one help in resolving this problem.

Thanks.